word_pairs([
  [head, stock],
  [head, stock],
  [line, shot],
  [point, play], 
  [base, lead],
  [case, field],
  [cut, center]
  ]).

% BPL
measure_goals([
  % Similarity
  [Word1, Word2, wn_wup(Word1:n:_,Word2:n:_,_)],
  [Word1, Word2, wn_lch(Word1:n:_,Word2:n:_,_)],
  [Word1, Word2, wn_path(Word1:n:_,Word2:n:_,_)]
  ]).

test :-
  word_pairs(Word_Pairs),
  member([Word1, Word2], Word_Pairs),
  test_measures(Word1, Word2),
  fail.
test.
  
test_measures(Word1, Word2) :-
  measure_goals(MeasureGoals),
  nl,
  member([Word1, Word2, MeasureGoal], MeasureGoals),
  statistics(runtime,_),
  test_measure(MeasureGoal),
  statistics(runtime,[_,Time]),
  format('~d ', [Time]),
  flush_output.

test_measure(MeasureGoal) :-
  between(1,100,_),
  call(MeasureGoal),
  fail.
test_measure(_MeasureGoal).



