import edu.cmu.lti.lexical_db.ILexicalDatabase;
import edu.cmu.lti.lexical_db.NictWordNet;
import edu.cmu.lti.ws4j.Relatedness;
import edu.cmu.lti.ws4j.RelatednessCalculator;
import edu.cmu.lti.ws4j.impl.HirstStOnge;
import edu.cmu.lti.ws4j.impl.JiangConrath;
import edu.cmu.lti.ws4j.impl.LeacockChodorow;
import edu.cmu.lti.ws4j.impl.Lesk;
import edu.cmu.lti.ws4j.impl.Lin;
import edu.cmu.lti.ws4j.impl.Path;
import edu.cmu.lti.ws4j.impl.Resnik;
import edu.cmu.lti.ws4j.impl.WuPalmer;
import edu.cmu.lti.ws4j.util.WS4JConfiguration;
import edu.cmu.lti.lexical_db.data.Concept;
import edu.cmu.lti.jawjaw.pobj.POS;
import java.util.List;


public class testWS4J {

	private static ILexicalDatabase db = new NictWordNet();
	private static RelatednessCalculator[] rcs = {
			new WuPalmer(db),
			new LeacockChodorow(db), 
			new Path(db),
			};
	private static String[][] wordpairs = {
			 {"head", "stock"},
			 {"head", "stock"},
			 {"line", "shot"},
		   {"point", "play"}, 
			 {"base", "lead"},
			 {"case", "field"},
			 {"cut", "center"}			 
			};
	
	private static void run( String word1, String word2 ) {
		WS4JConfiguration.getInstance().setMFS(false);
		WS4JConfiguration.getInstance().setCache(false);
		for ( RelatednessCalculator rc : rcs ) {
			long t0 = System.currentTimeMillis();
			for (int i=0; i<100; i++) {
				double s = rc.calcRelatednessOfWords(word1, word2);
			}
			long t1 = System.currentTimeMillis();
			System.out.print( (t1-t0) + " " );
		}
	}
	
	public static void main(String[] args) {
		for (String[] words : wordpairs) {
			System.out.println( "" );
			run( words[0], words[1] );
		}
	}		
}

